AutoCAD .Net 创建对齐标注

以下代码展示:
在模型空间中创建如下图所示的对齐标注。
这里写图片描述

对齐标注尺寸对象是 AlignedDimension。

using Autodesk.AutoCAD.Runtime;
using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.Geometry;
using Autodesk.AutoCAD.EditorInput;
using Autodesk.AutoCAD.Colors;

[CommandMethod("NewAlignedDim")]
public static void NewAlignedDim()
{
    Document doc = Application.DocumentManager.MdiActiveDocument;
    Database db = doc.Database;

    using (Transaction tr = db.TransactionManager.StartTransaction())
    {
        //-------------------------------
        // 获取模型空间
        //-------------------------------
        BlockTable blockTbl = tr.GetObject(
            db.BlockTableId, OpenMode.ForRead) as BlockTable;
        BlockTableRecord modelSpace = tr.GetObject(
            blockTbl[BlockTableRecord.ModelSpace], OpenMode.ForWrite) as BlockTableRecord;

        //-------------------------------
        // 创建对齐标注
        //-------------------------------
        AlignedDimension dim = new AlignedDimension();
        dim.XLine1Point = new Point3d(100, 100, 0);
        dim.XLine2Point = new Point3d(130, 130, 0);
        dim.DimLinePoint = new Point3d(140, 125, 0);
        dim.DimensionStyle = db.Dimstyle;

        //-------------------------------
        // 添加到模型空间并提交到数据库
        //-------------------------------
        modelSpace.AppendEntity(dim);
        tr.AddNewlyCreatedDBObject(dim, true);

        tr.Commit();
    }
}

XLine1Point、XLine2Point 指定尺寸界线的位置。
DimLinePoint 用于确定尺寸线的位置。
AutoCAD 尺寸对象的具体组成如下:

* 尺寸线 Dimension Line
* 尺寸文本 Dimension Text
* 尺寸界线 Extention Line
* 箭头 Arrowhead

  • 0
    点赞
  • 3
    收藏
    觉得还不错? 一键收藏
  • 0
    评论
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值